#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x80,0x0D,0x9E,0x95,0xDC,0x0D,0x25,0x40,0xCD,0x46,0x6A,0x41,
		0xCB,0x87,0x0F,0xF7,0xBD,0x95,0x94,0x48,0xAB,0x40,0x54,0x3C,
		0x6F,0x06,0x5C,0x36,0x45,0xAD,0x74,0xD9,0xF2,0xF4,0x2D,0x7E,
		0xAB,0xF4,0xC6,0x91,0x74,0x5C,0x2A,0x83,0x7A,0x58,0x13,0x0D,
		0xE6,0x64,0xF4,0xA1,0x16,0x44,0xBF,0x29,0x3B,0xF1,0x6B,0x1A,
		0x7D,0x2A,0xF3,0xCF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
